export declare type OnFulfilled<T, R> = (value: T) => R | PromiseLike<R>;
export declare type OnRejected<T = never> = (reason: any) => T | PromiseLike<T>;
export declare type GenFunction<T> = (signal: AbortSignal) => Generator<any, T>;
export declare type AsyncFunction<R> = (...args: any) => PromiseLike<R>;
export declare type AicoOptions = {
    signal?: AbortSignal;
    AbortController?: new () => AbortController;
};
export declare type AsyncResult<F extends AsyncFunction<any>> = F extends AsyncFunction<infer R> ? R : never;
